import { ClassType } from '@loafer/core/constants';
import getClassMetadata, {
  MetadataDefinable,
} from '@loafer/core/util/metadata/getClassMetadata';

import { POUCH_INJECT_DEFINITION } from '@loafer/pouches/constants';
import InjectDefinition from '@loafer/pouches/definition/InjectDefinition';

export const getInjectDefinition =
  <T>(clazz: ClassType, definitionType: MetadataDefinable<T>, isCreate: boolean = false) =>
    getClassMetadata(clazz, POUCH_INJECT_DEFINITION, definitionType, isCreate);
