import { ClassType } from '@loafer/core/constants';
import getClassMetadata, {
  MetadataDefinable,
} from '@loafer/core/util/metadata/getClassMetadata';
import { POUCH_INJECTABLE_DEFINITION } from '@loafer/pouches/constants';
import InjectableDefinition from '@loafer/pouches/definition/InjectableDefinition';

export const getInjectableDefinition = <T>(clazz: ClassType, definitionType: MetadataDefinable<T>, isCreate: boolean = false) =>
  getClassMetadata(clazz, POUCH_INJECTABLE_DEFINITION, definitionType, isCreate);
